{ pkgs, ... }:
{
  programs.mtr.enable = true;
  programs.mosh.enable = true;
  programs.tmux.enable = true;
  programs.wireshark.enable = true;

  environment.systemPackages = with pkgs; [
    # IRC
    weechat

    # Latex
    texlive.combined.scheme-full

    # Editors
    vscodium
    emacs
    neovim

    smartmontools
    wget
    firefox
    ungoogled-chromium
    ripgrep
    fd
    nmap
    htop
    dnsutils
    ncdu
    lazygit

    # Networking
    speedtest-cli
    iperf

    # Serial
    minicom
  ];

  programs.chromium = {
    enable = true;

    extensions = [
      "cjpalhdlnbpafiamejdnhcphjbkeiagm" # uBlock Origin
      "gcbommkclmclpchllfjekcdonpmejbdp" # HTTPS Everywhere
      "mbniclmhobmnbdlbpiphghaielnnpgdp" # Lightshot
      "ldlghkoiihaelfnggonhjnfiabmaficg" # QuicKey
    ];

    homepageLocation = "https://hackens.org";

    extraOpts = {
      "BrowserSignin" = 0;
      "SyncDisabled" = true;
      "PasswordManagerEnabled" = false;
      "SafeBrowsingEnabled" = false;
      "AdvancedProtectionAllowed" = false;
      "BrowserGuestModeEnabled" = true;
      "SpellcheckEnabled" = true;
      "NewTabPageLocation" = "https://hackens.org";
      "SpellcheckLanguage" = [
        "fr-FR"
        "en-US"
      ];
    };
  };
}
