let
  sources = import ./npins;

  agenix = sources.agenix + "/modules/age.nix";

  metadata = {
    nodes = {
      hackens-milieu = {
        deployment = {
          targetHost = null; #"milieu.cave.hackens.org";
          # targetPort = 4243;
          allowLocalDeployment = true;
          tags = [ "desktop" ];
        };
        imports = [agenix];
      };
      rigel = {
        deployment = {
          targetHost = "10.1.1.1";
        };
        arch = "aarch64-linux";
      };
      hackens-org = {
        deployment = {
          targetHost = "server1.hackens.org"; # todo make something with ens firewall
          tags = [ "server" ];
          targetPort = 2222;
        };
        imports = [agenix];
      };

    };
  };
in
  metadata
